$dark-theme: true;

$primary-color: #9B6BCC;
$text-link-hover: #8999af;
$dark-text: #313131;
$light-background: #fff;
$dark-bg-text-color: #fff;
$dark-card: #343a40;
$dark-background: #23252f;




.dark #navbar-main .main-menu-item ul li .nav-link:hover {
  color: $text-link-hover;
}

/* Colour the following icons */
.fa.fa-check,
.fas.fa-hourglass-half,
.fas.fa-desktop,
.fas.fa-directions,
.fas.fa-tools,
.fas.fa-user-secret,
.far.fa-folder-open,
.fas.fa-book-reader,
.fas.fa-map-signs,
.fas.fa-server,
.fas.fa-truck,
.fas.fa-terminal,
.fas.fa-vial,
.fas.fa-plug,
.fas.fa-database,
.fas.fa-sitemap,
.fas.fa-vials,
.fab.fa-docker,
.fas.fa-bug,
//.fas.fa-clock, Can't have on in contact page as fa-envelope and fa-twitter can not have colour.
.fas.fa-funnel-dollar,
.fas.fa-dumpster-fire,
//.fas.fa-envelope, Can't have on due to the color killing the hover behaviour on author profile.
//.fas.fa-phone, Can't have on in contact page as fa-envelope and fa-twitter can not have colour.
.fas.fa-heart,
.fas.fa-question-circle,
//.fab.fa-twitter, Can't have on due to the color killing the hover behaviour on author profile and footer.
.fas.fa-horse {
  color: $primary-color;
}
/* End Colour the following icons */

.btn,
.btn:hover,
.btn:visited,
.dark .btn {
  color: $dark-bg-text-color;
}

/* Buttons with only coloured text and outline */
.btn-outline-primary,
.btn-outline-primary:visited,
.dark .btn-outline-primary {
  color: $primary-color;
}
.btn-outline-primary:hover {
  color: $dark-bg-text-color;
}
/* End Buttons with only coloured text and outline */

a:not(.btn):hover,
a:not(.btn):focus,
#navbar-main .main-menu-item ul li .nav-link:hover,
#navbar-main .main-menu-item ul li .nav-link:focus {
  color: $text-link-hover;
}

.dark .btn-primary, .dark .btn.btn-primary.active {
  color: $dark-bg-text-color;
}

/* Pricing page button colouring */
/*
.pt-pricing-tiers .pt-cta-btn-community,
.pt-pricing-offering-matrix .pt-cta-btn-community {
  // Nothing to do here, as btn-danger works for colouring.
}*/

// Academic is overriding btn-standard (blue) with our purple, so we need to reset it back to Bootstrap colors
.pt-pricing-tiers .pt-cta-btn-standard, 
.pt-pricing-offering-matrix .pt-cta-btn-standard,
.pt-home-plans .pt-cta-btn-standard {
  background-color: #007bff; // Bootstrap btn-primary color
  border-color: #007bff; // Bootstrap btn-primary color
}
.pt-pricing-tiers .pt-cta-btn-standard:hover, 
.pt-pricing-offering-matrix .pt-cta-btn-standard:hover,
.pt-home-plans .pt-cta-btn-standard:hover {
  background-color: #0069d9; // Bootstrap btn-primary color
  border-color: #0062cc; // Bootstrap btn-primary color
}
.pt-pricing-tiers .pt-cta-btn-standard:active, 
.pt-pricing-offering-matrix .pt-cta-btn-standard:active,
.pt-home-plans .pt-cta-btn-standard:active {
  background-color: #0062cc; // Bootstrap btn-primary color
  border-color: #005cbf; // Bootstrap btn-primary color
}

/*
.pt-pricing-tiers .pt-cta-btn-pro,
.pt-pricing-offering-matrix .pt-cta-btn-pro {
  // Nothing to do here, as Pro is using our standard purple
}*/

.dark .pt-pricing-tiers .pt-cta-btn-enterprise,
.dark .pt-pricing-offering-matrix .pt-cta-btn-enterprise,
.dark .pt-home-plans .pt-cta-btn-enterprise {
  background-color: #23272b;
  border-color: #1d2124;
}
.dark .pt-pricing-tiers .pt-cta-btn-enterprise:hover,
.dark .pt-pricing-offering-matrix .pt-cta-btn-enterprise:hover,
.dark .pt-home-plans .pt-cta-btn-enterprise:hover {
  background-color: #1d2124;
  border-color: #171a1d;
}
// No need for :active as the standard purple box shadow (applied by academic to .btn-primary) looks fine.

/* End Pricing page button colouring */

/* Stop horisontal scroll bar on all tables */
table { display: table; }
/* End Stop horisontal scroll bar on all tables */

/* Pricing page toggle size */
.custom-switch.custom-switch-lg {
  padding-bottom: 1rem;
	padding-left: 2.25rem;

  & .custom-control-label {
    padding-left: .75rem;
    padding-top: 0.15rem;

    &::before {
      border-radius: 1rem;
      height: 1.5rem;
      width: 2.5rem;
    }

    &::after {
			border-radius: .65rem;
      height: calc(1.5rem - 4px);
      width: calc(1.5rem - 4px);
    }
  }
	
	.custom-control-input:checked ~ .custom-control-label::after{
  transform: translateX(1rem);
	}
}
/* End Pricing page toggle size */

/* Pricing tier card images & product card images */
.pt-product-how-it-works .card figure,
.pt-pricing-tiers .card figure,
.pt-home-plans .card figure {
  margin: 1.2rem auto 0;
}
/* End Pricing tier card images & product card images */

.pt-product-how-it-works .list-group-item.pt-what-you-get,
.pt-pricing-tiers .list-group-item.pt-what-you-get,
.pt-product-additional-resources .list-group-item.pt-what-you-get,
.pt-why-purpleteam-why-pt .list-group-item.pt-what-you-get {
  padding-left: 0;
  padding-right: 0;
  padding-top: 0.4rem;
  padding-bottom: 0.4rem;
}

.pt-what-you-get i {
  padding-top: 0.2rem;
  padding-right: 0.5rem;
}

/* Pricing, product page, why-purpleteam page "why purpleteam" widget line items: Stopping text wrapping past to the left of the tick icons */
li.pt-what-you-get.pt-line-item i {
  float: left;
}

li.pt-what-you-get.pt-line-item div {
  overflow: hidden;
}
/* End Pricing, product page, why-purpleteam page "why purpleteam" widget line items: Stopping text wrapping past to the left of the tick icons */

.pt-product-how-it-works .card,
.pt-pricing-tiers .card,
.pt-home-plans .card,
.pt-product-additional-resources .card {
  line-height: 1.3;
}

.pt-pricing-tiers .btn,
.pt-home-plans .btn {
  // For some reason the btn-lg isn't working, so adjust size here.
  font-size: 1.25rem
}


/* Actual prices now support dark and light theme */
.pt-pricing-tiers ul.pt-price,
.pt-pricing-tiers ul.pt-price > li,
.pt-home-plans ul.pt-price,
.pt-home-plans ul.pt-price > li {
  background: $text-link-hover;
}
/* End Actual prices now support dark and light theme */

/* Pricing list items, product page "how it works", "additional resources", why-purpleteam page "why pt" section now support dark and light theme */
.pt-product-how-it-works li,
.pt-pricing-tiers li,
.pt-product-additional-resources li,
.pt-why-purpleteam-why-pt li {
  background: $light-background;
  color: $dark-text;
}
.dark .pt-product-how-it-works li,
.dark .pt-pricing-tiers li,
.dark .pt-home-plans li,
.dark .pt-product-additional-resources li,
.dark .pt-why-purpleteam-why-pt li {
  background: $dark-card;
  color: $dark-bg-text-color;
}
/* End Pricing list items, product page "how it works", "additional resources", why-purpleteam page "why pt" now support dark and light theme */

/* For dark theme set offering matrix to have light text */
body#top.page-wrapper.dark .pt-pricing-offering-matrix table {
  color: $dark-bg-text-color;
}
/* End For dark theme set offering matrix to have light text */

/* Add shadow to offering-matrix table, etc */
body#top.page-wrapper.dark .pt-pricing-offering-matrix table,
.dark .pt-product-composition figure img {
  box-shadow: 0 0.5rem 1rem #181818 !important;
}

/* End Add shadow to offering-matrix table, etc */

/* Offering matirx */
body#top.page-wrapper .pt-pricing-offering-matrix table th.pt-left-column {
  text-align: left;
}

body#top.page-wrapper .pt-pricing-offering-matrix table tr.pt-heading-row > th,
body#top.page-wrapper .pt-pricing-offering-matrix table tr.pt-heading-row > td  {
  background-color: $text-link-hover;
}

body#top.page-wrapper.dark .pt-pricing-offering-matrix table tr.pt-heading-row > th,
body#top.page-wrapper.dark .pt-pricing-offering-matrix table tr.pt-heading-row > td  {
  background-color: $text-link-hover;
}

body#top.page-wrapper .pt-pricing-offering-matrix table th,
body#top.page-wrapper .pt-pricing-offering-matrix table td  {
  border-top: 1px solid rgba(0, 0, 0, 0.125);
}

body#top.page-wrapper .pt-pricing-offering-matrix table tr.pt-standard-row > th,
body#top.page-wrapper .pt-pricing-offering-matrix table tr.pt-standard-row > td  {
  background-color: $light-background;
  font-weight: normal;
}

body#top.page-wrapper.dark .pt-pricing-offering-matrix table tr.pt-standard-row > th,
body#top.page-wrapper.dark .pt-pricing-offering-matrix table tr.pt-standard-row > td  {
  background-color: $dark-card;
  font-weight: normal;
}
/* End Offering matirx */

/* Contact page */
.pt-post-contact-field.js-note.label {
  color: orange;
}
/* End Contact page */

/* Staticman/Formspree form submission confirmation dialog - Currently not being used as Formspree requires pro plan for redirect support*/
.dialog {
   display: none;
   position: fixed;
   background-color: rgb(247, 247, 247);
   padding: 25px;
   padding-top: 20%;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   text-align: center;
}

.dark .dialog {
  background-color: $dark-background;
}

.dialog:target {
   display: block;
}

.dialog .btn-primary.comment-buttons.ok {
   width: 7rem;
}
/* End Staticman/Formspree form submission confirmation dialog */

/* Featurette widget */
// Monkey patch any featurette widget into 4 even colums
.home-section.pt-featurette-col-3333 .featurette .col-12.col-sm-4 {
  flex: 0 0 25%;
  max-width: 25%;
}
// Monkey patch any featurette widget into 2 even colums
.home-section.pt-featurette-col-66 .featurette .col-12.col-sm-4 {
  flex: 0 0 50%;
  max-width: 50%;
}
/* End featurette widget */


.pt-product-what-it-tests .card figure,
.pt-why-purpleteam-fix .card figure,
.pt-why-purpleteam-dream .card figure {
  margin-bottom: 0rem;
}

.pt-product-what-it-tests .pt-thumbnail {
  background-color: $dark-card;
}
// Horizontally center thumbnail
.pt-product-what-it-tests .pt-thumbnail .pt-tests .w-100 {
  width: auto !important;
}

.pt-home-what figure.pt-align-right img {
  float: right;
}
.pt-home-what figure img,
.pt-home-what .pt-heading {
  margin: 2rem 0 2rem 0;
}
// Copied from https://getbootstrap.com/docs/4.6/utilities/shadows/ as we can't put the classes on hugue figure shorcodes.
.pt-home-what figure img,
.pt-product-composition figure img {
  box-shadow: 0 0.5rem 1rem #555753 !important;
}
.dark .pt-home-what figure img {
  box-shadow: 0 0.5rem 1rem #EBEAEA !important;
}


.pt-home-additional-resources .card-body.pt-main,
.pt-why-purpleteam-additional-resources .card-body.pt-main,
.pt-product-additional-resources .card-body.pt-main {
  background: linear-gradient(143.13deg ,#FF2828 0%, #9B6BCC 30%, #2F2FFF 100%);
  background-image: linear-gradient(143.13deg ,#FF2828 0%, #9B6BCC 30%, #2F2FFF 100%);
}

.pt-why-purpleteam-dream .home-section-bg {
  background: linear-gradient(143.13deg ,#FF3A3A 0%, #9B6BCC 30%, #4444FF 100%);
  background-image: linear-gradient(143.13deg ,#FF3A3A 0%, #9B6BCC 30%, #4444FF 100%);
}

